pcl::cuda::Device< T > Struct Template Reference

Device helper class. More...

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/point_cloud.h>`

## Public Types

typedef thrust::device_vector< T > | type

## Detailed Description

### template<typename T>
struct pcl::cuda::Device< T >

Device helper class.

Contains several typedefs and some static functions to help writing portable code (that runs both on host and device)

Definition at line 94 of file point_cloud.h.

## Member Typedef Documentation

## type

template<typename T >

typedef thrust::device_vector<T> pcl::cuda::Device< T >::type

Definition at line 97 of file point_cloud.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/point_cloud.h